define(["esri/renderers/SimpleRenderer", "esri/symbols/SimpleMarkerSymbol", "esri/layers/FeatureLayer"],
    function (SimpleRenderer, SimpleMarkerSymbol, FeatureLayer) {
        // Renderer for the points in the layer
        const renderer = new SimpleRenderer({
            symbol: new SimpleMarkerSymbol({
                size: 12,
                color: [208, 83, 237], // Light purple
                outline: {
                    color: [255, 255, 255],
                    width: 2
                }
            })
        });

        return function() {
            return new FeatureLayer({
                url: "http://gis-core.sabu.mtu.edu:6080/arcgis/rest/services/CS4760/KeTT_Story_Points/FeatureServer/0",
                outFields: ["objectid", "globalid"], // Only request the bare minimum. If you need more fields then do a query
                renderer: renderer                   // Set the renderer to visualize the points
            })
        }
    });