/**
 * ImageryLayer for historical USGS maps
 */
define(["esri/layers/ImageryLayer"], function (ImageryLayer) {

    /**
     * USGS topo map used for rural mapping
     * 
     * @return Layer for the topo map
     */
    return function() {
        const usgsTopo = new ImageryLayer({
            url: "http://utility.arcgis.com/usrsvcs/servers/f341c0fc5e064baba91163ad33f7f340/rest/services/USA_Historical_Topo_Maps/ImageServer",
            opacity: 1.0,
            renderingRule: null,
            definitionExpression: "DateCurrent = " + 1985
        });

        /**
         * Set the year range of the maps to serve
         * 
         * @param beginYear: First year acceptable, inclusive
         * @param endYear: Last year acceptable, inclusive
         */
        usgsTopo.setYearRange = function(beginYear, endYear) {
            usgsTopo.definitionExpression = "DateCurrent >= " + beginYear + " AND DateCurrent <= " + endYear;
        }

        return usgsTopo;
    }
    
})